%global modname dopy

Name:               python-dopy
Version:            0.3.7
Release:            9%{?dist}
Summary:            Python client for the Digital Ocean API

Group:              Development/Libraries
License:            MIT
URL:                http://pypi.python.org/pypi/dopy
Source0:            https://pypi.python.org/packages/source/d/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools
BuildRequires:      python2-requests

%global _description\
Digital Ocean API Python Wrapper

%description %_description

%package -n python2-dopy
Summary: %summary
Requires:           python2-requests
%{?python_provide:%python_provide python2-dopy}

%description -n python2-dopy %_description

%prep
%setup -q -n %{modname}-%{version}

# Remove any shebangs
for lib in %{modname}/*.py; do
 sed '1{/^#!.*/d}' $lib > $lib.new && \
 touch -r $lib $lib.new &&            \
 mv $lib.new $lib
done

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%py2_build

%install
%py2_install

%files -n python2-dopy
%doc README.rst LICENSE CHANGES
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{modname}-%{version}*

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.7-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.7-6
- Python 2 binary package renamed to python2-dopy
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 15 2015 Ralph Bean <rbean@redhat.com> - 0.3.7-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 09 2014 Ralph Bean <rbean@redhat.com> - 0.2.3-1
- Latest upstream

* Fri Oct 18 2013 Ralph Bean <rbean@redhat.com> - 0.2.2-3
- Correctly remove shebangs this time.
- Include docs.

* Thu Oct 17 2013 Ralph Bean <rbean@redhat.com> - 0.2.2-2
- Add buildreq on python-setuptools.
- Remove shebangs from lib files.

* Wed Oct 16 2013 Ralph Bean <rbean@redhat.com> - 0.2.2-1
- initial package for Fedora
